# Search Profile
source: https://developer.mastercard.com/pay-with-rewards/documentation/use-cases/pwr-profile/search-profile/index.md

## Short description {#short-description}

This use case provides the ability to fetch redeemers profile information for a given BCN(Bank Customer Number), BAN(Bank Account Number), RANAC(Random Account). It returns the RANAC in the response, which can be used in the redemptions API calls. It also returns household level points and customer role in the household.

## Sequence diagram {#sequence-diagram}

Diagram pwr-search-profile

##### Following are the execution steps: {#following-are-the-execution-steps}

1. The consumer logs into the customer's app.
2. The customer authenticates the consumer.
3. The customer makes a signed request to Pay with Rewards for retrieving the profile details.
4. The request for get PWR profile has the following mandatory request body fields:
   * **userId** : Unique identifier of the consumer
   * **userIdType** : Identifier type for the given user such as BAN\|BCN.
   * **redemptionType** : Redemption type should be PWR.
5. Mastercard Network API Gateway authenticates/authorizes the customer and routes the request to Pay with Rewards in the case of a valid customer.
6. The Pay with Rewards service validates the request parameters received via the `POST /redeemers/search` endpoint.
7. The Pay with Rewards service retrieves the consumers PWR profile.
8. The Pay with Rewards service sends a response with the consumers PWR profile, with a status code of 200, in the case of a successful request.
9. The Pay with Rewards service sends a response with a status code of 4xx/5xx in case of an invalid request.

You will receive an error response for an invalid request or any missing request parameter. In that case, you need to update the input and perform step 3 again.

## Endpoint {#endpoint}


API Reference: `POST /redeemers/search`

